/*****************************
 * Practica 4 MP
 * Curso 2008-2009
 *
 * Vicente Lujan Mansilla
 * Lorena Margareto Bisquert
 *****************************/

#include "Ordenacion.h"
#include<fstream>

using namespace std;

int main()
{

	Ordenacion o;
	ofstream f1, f2, f3, f4, f5, f6;

	f1.open("i_ord.dat");
	f2.open("s_ord.dat");
	f3.open("b_ord.dat");
	f4.open("i_inv.dat");
	f5.open("s_inv.dat");
	f6.open("b_inv.dat");

       /*CASOS MEJOR: Ordenado*/
	o.testInsercion1(20, 500, 20, f1, 0.2);
	o.testSeleccion1(20, 500, 20, f2, 0.2);
	o.testBurbuja1(20, 500, 20, f3, 0.2);
	
	/*CASOS PEOR: Inversamente ordenado*/
	o.testInsercion2(20, 500, 20, f4, 0.2);
	o.testSeleccion2(20, 500, 20, f5, 0.2);
	o.testBurbuja2(20, 500, 20, f6, 0.2);


	f1.close();
	f2.close();
	f3.close();
	f4.close();
	f5.close();
	f6.close();

    return 0;
}
